Skip to main content
Monitoring & Collection/Profiling
PUTProfilingSince 1.0SynchronousAuth Required

UpdateProfilingConfig

Update the global profiling configuration settings.

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • configObjectRequired

    New profiling configuration to apply.

    • goroutineLeakThresholdInteger

      Goroutine count threshold above which a leak is reported.

      Example: 1000

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

PUT/api/v1/profiling/config

/api/v1/profiling/config

Operation ID

UpdateProfilingConfig

Permalink

Request Example

curl -X PUT '{host}/api/v1/profiling/config' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{"config":{"goroutineLeakThreshold":1000}}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history